Subject: bug#24089: 25.1; Dired: diff error on = <RET> if the file has a backup inside .~/

From: Jorge Peixoto de Morais Neto <[email-masked]>
Date: Tue, 02 Aug 2016 23:04:24 -0300

On Sun, 2016-07-31 at 18:08 +0300, Eli Zaretskii wrote:
> How about the alternative patch below?  It fixes the doc string, and
> makes the prompt be without the default in the second case.  Is that
> good enough, in your opinion?

This new patch is better.  This is already good.  There is one more tweak that
maybe could make it even better: with this latest patch, if the user types =
<RET> in the backup file then Emacs says
   Attempt to compare the file to itself

Wouldn't it be better if dired-diff refused the minibuffer input if it is not
a valid file?  This way, if the user types = <RET>, Emacs will display "[no
match]", which would be more precise.

Regards

-- 
• I am Brazilian.  I hope my English is correct and I welcome corrections.
• Please adopt free formats like PDF, ODF, Org, LaTeX, Opus, WebM and 7z.
• Free (as in free speech) software for Android: https://f-droid.org/